class Idiom
  @@url = "http://www.macmillandictionary.com/us/open-dictionary/latestEntries.html"
  @@html = open(@@url)
  @@doc = Nokogiri::HTML(@@html)

  @@all = []

  attr_accessor :name, :definition, :usage

  def initialize(name, definition, usage)
    @name = name
    @definition = definition
    @usage = usage
    self.save
  end

  def save
    @@all << self
  end

  def self.all
    @@all
  end

end
