class IdiomScraper
  @@url = "http://www.macmillandictionary.com/us/open-dictionary/latestEntries.html"
  @@html = open(@@url)
  @@doc = Nokogiri::HTML(@@html)

  def self.constructor
    counter = 0
    @@doc.search(".openEntry").each do |node|
      name = @@doc.search(".openEntry")[counter].css("a").text
      definition = @@doc.search(".openEntry")[counter].css(".openDef").text
        if @@doc.search(".openEntry")[counter].css(".openEx").text != ""
          usage = @@doc.search(".openEntry")[counter].css(".openEx").text
        elsif @@doc.search(".openEntry")[counter].css(".openEx").text == ""
          usage = "It looks like nobody has submitted a sentence yet. Maybe you could write one!"
        end
        Idiom.new(name, definition, usage)
      counter += 1
    end
  end


end
