class IdiomList

  @@word_url = "http://www.macmillandictionary.com/us/open-dictionary/latestEntries.html"
  @@html = open(@@word_url)
  @@doc = Nokogiri::HTML(@@html)
  @@all = []

    def initialize
      idiom_array = []
      @@doc.css(" #openEntries .openEntry h3").each {|heading| idiom_array << heading.text}
      definition_array = []
      @@doc.css(" #openEntries .openEntry .openDef").each {|definition| definition_array << definition.text}
      idiom_hash = Hash[idiom_array.zip definition_array]
      idiom_hash.each do |k,v|
        idiom = {"#{k}" => v}
        @@all << idiom
      end
    end

    def self.all
      @@all
    end

end
